struct VERTEX_OUT {
	float4 pos : POSITION;
	float2 uv : TEXCOORD0;
};

static float weights[5] = {1, 4, 6, 4, 1};
static float weightSum = 16;

VERTEX_OUT quad_vs(float4 pos : POSITION)
{
	VERTEX_OUT output = (VERTEX_OUT)0;

	output.pos = float4(sign(pos.xy), 0.0, 1.0);
	output.uv = (float2(pos.x, -pos.y) + 1.0) * 0.5;

	return output;
}

float4 blurh_ps(VERTEX_OUT input,
        uniform float4 texelSize,
        uniform sampler2D t) : COLOR0
{
	float4 color = 0.0f;

	for (int i = 0; i < 5; i++)
        color += tex2D(t, input.uv + float2((i - 2) * texelSize.x, 0.0)) * weights[i];

	return color / weightSum;
}

float4 blurv_ps(VERTEX_OUT input,
        uniform float4 texelSize,
        uniform sampler2D t) : COLOR0
{
	float4 color = 0.0f;

	for (int i = 0; i < 5; i++)
        color += tex2D(t, input.uv + float2(0.0, (i - 2) * texelSize.y)) * weights[i];

	return color / weightSum;
}
